Bug 446182 - (CVE-2008-2085) CVE-2008-2085 sipp: buffer overflows in get_remote_ip_media() and get_remote_ipv6_media()
CVE-2008-2085 sipp: buffer overflows in get_remote_ip_media() and get_remote_...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=debian,reported=20080502,publi...
: Security
Depends On: 446219 446220 446221 446222
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 05:44 EDT by Tomas Hoger
Modified: 2008-07-26 02:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.1-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-26 02:10:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-05-13 05:44:56 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-2085 to the following vulnerability:

Multiple stack-based buffer overflows in the (1) get_remote_ip_media and (2) get_remote_ipv6_media functions in call.cpp in SIPp 3.1 allow remote attackers to cause a denial of service (application crash) and possibly execute arbitrary code via a crafted SIP message.

Refences:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=479039
http://secunia.com/advisories/30095
Comment 1 Tomas Hoger 2008-05-13 05:47:41 EDT
Patch by Nico Golde, addressing both CVE-2008-1959 (was fixed in Fedora by
upgrade to sipp 3.1) and CVE-2008-2085:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=479039#48
Comment 3 Fedora Update System 2008-07-06 10:08:50 EDT
sipp-3.1-2.fc9 has been submitted as an update for Fedora 9
Comment 4 Fedora Update System 2008-07-06 10:09:00 EDT
sipp-3.1-2.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-07-08 22:48:51 EDT
sipp-3.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-07-08 22:49:23 EDT
sipp-3.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Red Hat Product Security 2008-07-09 02:51:51 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-6210
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-6219

Comment 8 Fedora Update System 2008-07-26 02:10:50 EDT
sipp-3.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.